{if isset($hinweis)}
<div class="alert alert-danger">{$hinweis}</div>
{/if}
<div class="settings-content">
  <form method="post" action="" class="navbar-form">
    <input type="hidden" name="todo" value="save-config" />
    <div class="panel panel-default first">
      <div class="panel-heading"><h3 class="panel-title">Einstelungen</h3></div>
      <div class="panel-body">
        <div class="input-group">
          <span class="input-group-addon"><label for="lang">Sprache der Suche</label></span>
          <span class="input-group-wrap">
            <select id="lang" name="save[lang]" class="form-control combo">
              {foreach $languages as $lang}
              <option value="{$lang@key}" {if $settings.lang == $lang@key}selected="selected"{/if}>{$lang}</option>
              {/foreach}
            </select>
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="langFallback">Fallback Sprache</label></span>
          <span class="input-group-wrap">
            <select id="langFallback" name="save[langFallback]" class="form-control combo">
              {foreach $fallbackLanguages as $lang}
              <option value="{$lang@key}" {if $settings.langFallback == $lang@key}selected="selected"{/if}>{$lang}</option>
              {/foreach}
            </select>
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="feDesign">Design der Suchmaske</label></span>
          <span class="input-group-wrap">
            <select id="feDesign" name="save[feDesign]" class="form-control combo">
              {foreach $fedesigns as $fedesign}
              <option value="{$fedesign@key}" {if $settings.feDesign == $fedesign@key}selected="selected"{/if}>{$fedesign}</option>
              {/foreach}
            </select>
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="selTrigger">Suchfeld (HTML Selektor)</label></span>
          <span class="input-group-wrap">
            <input class="form-control" id="selTrigger" name="save[selTrigger]" type="text" value="{$settings.selTrigger}">
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="searchMinSigns">Mindestl&auml;nge Sucheingabe</label></span>
          <span class="input-group-wrap">
            <input class="form-control" id="searchMinSigns" name="save[searchMinSigns]" type="text" value="{$settings.searchMinSigns}">
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="searchMapping">Suchbegriff-Mapping</label></span>
          <span class="input-group-wrap">
            <select id="searchMapping" name="save[searchMapping]" class="form-control combo">
              {foreach $searchmappings as $searchmapping}
              <option value="{$searchmapping@key}" {if $settings.searchMapping == $searchmapping@key}selected="selected"{/if}>{$searchmapping}</option>
              {/foreach}
            </select>
          </span>
        </div>
        <div class="input-group">
          <span class="input-group-addon"><label for="feDesign">Variationen in der Suche</label></span>
          <span class="input-group-wrap">
            <select id="searchVari" name="save[searchVari]" class="form-control combo">
              {foreach $searchvaris as $searchvari}
              <option value="{$searchvari@key}" {if $settings.searchVari == $searchvari@key}selected="selected"{/if}>{$searchvari}</option>
              {/foreach}
            </select>
          </span>
        </div>
        <div class="input-group">
          <table class="list table">
            <thead>
            <tr>
              <th>&nbsp;</th>
              <th>Suche in Name</th>
              <th>Suche in Beschreibung</th>
              <th>Maximale Ergebnisse</th>
              <th>Darstellungsreihenfolge</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <th>Artikel</th>
              <td><input id="searchInArticleName" name="searchIn[Article][Name]" type="checkbox" value="1" {if $settings.searchInArticleName}checked{/if}></td>
              <td><input id="searchInArticleDesc" name="searchIn[Article][Desc]" type="checkbox" value="1" {if $settings.searchInArticleDesc}checked{/if}></td>
              <td><input class="form-control" type="text" id="searchArticleLimit" name="save[searchArticleLimit]" value="{$settings.searchArticleLimit}" /></td>
              <td><input class="form-control" id="sequenceArticle" name="save[sequenceArticle]" type="text" value="{$settings.sequenceArticle}"></td>
            </tr>
            <tr>
              <th>Kategorie</th>
              <td><input id="searchInCategoryName" name="searchIn[Category][Name]" type="checkbox" value="1" {if $settings.searchInCategoryName}checked{/if}></td>
              <td><input id="searchInCategoryDesc" name="searchIn[Category][Desc]" type="checkbox" value="1" {if $settings.searchInCategoryDesc}checked{/if}></td>
              <td><input class="form-control" type="text" id="searchCategoryLimit" name="save[searchCategoryLimit]" value="{$settings.searchCategoryLimit}" /></td>
              <td><input class="form-control" id="sequenceCategory" name="save[sequenceCategory]" type="text" value="{$settings.sequenceCategory}"></td>
            </tr>
            <tr>
              <th>Hersteller</th>
              <td><input id="searchInManuName" name="searchIn[Manu][Name]" type="checkbox" value="1" {if $settings.searchInManuName}checked{/if}></td>
              <td>&nbsp;</td>
              <td><input class="form-control" type="text" id="searchManuLimit" name="save[searchManuLimit]" value="{$settings.searchManuLimit}" /></td>
              <td><input class="form-control" id="sequenceManu" name="save[sequenceManu]" type="text" value="{$settings.sequenceManu}"></td>
            </tr>
            </tbody>
          </table>
        </div>
        
        <div class="input-group">
          <table class="list table">
            <thead>
            <tr>
              <th>&nbsp;</th>
              <th>Suchpriorit&auml;ten</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <th>Suche nach Artikelnummer</th>
              <td><input class="form-control" id="soArtNr" name="save[soArtNr]" type="text" value="{$so.artnr}"></td>
            </tr>
            <tr>
              <th>Suche alle W&ouml;rter in Artikelname</th>
              <td><input class="form-control" id="soFullName" name="save[soFullName]" type="text" value="{$so.fullname}"></td>
            </tr>
            <tr>
              <th>Suche beliebige W&ouml;rter in Artikelname und -beschreibung</th>
              <td><input class="form-control" id="soPartNameDesc" name="save[soPartNameDesc]" type="text" value="{$so.partnamedesc}"></td>
            </tr>
            <tr>
              <th>Suche beliebige W&ouml;rter in Artikelname</th>
              <td><input class="form-control" id="soPartName" name="save[soPartName]" type="text" value="{$so.partname}"></td>
            </tr>
            <tr>
              <th>Suche alle W&ouml;rter in Artikelbeschreibung</th>
              <td><input class="form-control" id="soFullDesc" name="save[soFullDesc]" type="text" value="{$so.fulldesc}"></td>
            </tr>
            <tr>
              <th>Suche beliebige W&ouml;rter in Artikelbeschreibung</th>
              <td><input class="form-control" id="soPartDesc" name="save[soPartDesc]" type="text" value="{$so.partdesc}"></td>
            </tr>
            <tr>
              <th>Phonetische Suche f&uuml;r einzelne W&ouml;rter</th>
              <td><input class="form-control" id="soPhonNameDesc" name="save[soPhonNameDesc]" type="text" value="{$so.phonnamedesc}"></td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <button name="form" type="submit" value="sent" class="btn btn-primary"><i class="fa fa-save"></i> Speichern</button>
  </form>
</div>